<!doctype html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <title>grid-template-rows</title>
    <link rel="stylesheet" href="../css/ejemplos.css">
    <style>
        body {
            display: grid;
            grid-template-columns: auto auto;
        }

        h2 {
            margin: .1em;
        }

        .grid {
            background-color: gray;
            display: grid;
            margin: .5em;
            height: 175px;
        }

        .grid>div {
            background-color: lightblue;
            border: 1px solid;
        }

        .grid-filas1 {
            grid-template-rows: auto 1fr auto;
        }

        .grid-filas2 {
            grid-template-rows: auto 20px;
        }

        .grid-filas3 {
            grid-template-rows: repeat(3, 50px 1fr);
        }
    </style>
</head>

<body>
    <div>
        <h2>Solo grid</h2>
        <div class="grid">
            <div>Párrafo 1</div>
            <div>Párrafo 2</div>
            <div>Párrafo 3</div>
        </div>
    </div>
    <div>
        <h2>auto 1fr auto</h2>
        <div class="grid grid-filas1">
            <div>Párrafo 1</div>
            <div>Párrafo 2</div>
            <div>Párrafo 3</div>
        </div>
    </div>
    <div>
        <h2>auto 20px</h2>
        <div class="grid grid-filas2">
            <div>Párrafo 1</div>
            <div>Párrafo 2</div>
            <div>Párrafo 3</div>
            <div>Párrafo 4</div>
            <div>Párrafo 5</div>
            <div>Párrafo 6</div>
        </div>
    </div>
    <div>
        <h2>repeat(3, 50px 1fr)</h2>
        <div class="grid grid-filas3">
            <div>Párrafo 1</div>
            <div>Párrafo 2</div>
            <div>Párrafo 3</div>
            <div>Párrafo 4</div>
            <div>Párrafo 5</div>
            <div>Párrafo 6</div>
        </div>
    </div>
</body>

</html>